Bug 826008 - [eap6] notify user reload/restart is required is broken
[eap6] notify user reload/restart is required is broken
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin 826031
  Show dependency treegraph
 
Reported: 2012-05-29 06:40 EDT by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 826031 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:03:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-05-29 06:40:35 EDT
Description of problem: When doing configuration changes to EAP6 user needs to be notified when EAP requires server reload.


Version-Release number of selected component (if applicable):
JON 3.1.ER6 EAP6.ER8

How reproducible:always 


Steps to Reproduce:
1.Force EAP to start sending "restart-required" response header (using CLI run :server-set-restart-required)
2. Check 'Configuration' tab of any server's child resource, yellow box signaling server reload should appear

1.Force EAP to start sending "reload-required" response header (Change configuration for mailSession resource)
2. Check 'Configuration' tab of any server's child resource, yellow box signaling server reload should appear 

Actual results:

Plugin does not signal either "reload-required" or "restart-required" response header

Expected results: our plugin should check "reload-required" and "restart-required" reponse-headers


Additional info:
Comment 1 Heiko W. Rupp 2012-05-29 08:17:34 EDT
restart is required - we were so far only reacting on reload-required

master 74bef966894fb0f
Comment 2 Heiko W. Rupp 2013-09-01 06:03:17 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.